### Method

# Gtk CellRendererText set_fixed_height_from_font

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_text_set_fixed_height_from_font (
      GtkCellRendererText* renderer,
      int number_of_rows
    )

#### Description [src]

Sets the height of a renderer to explicitly be determined by the “font” and “y_pad” property set on it. Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is inflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If `number_of_rows` is -1, then the fixed height is unset, and the height is determined by the properties again.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`number_of_rows`

  Type: `int`

  Number of rows of text each cell renderer is allocated, or -1